org.apache.olingo.client.api.communication.request

## Interface ODataBasicRequest<T extends ODataResponse>

- Type Parameters:
    `T` - OData response type corresponding to the request implementation.
  All Superinterfaces:
    ODataRequest
  All Known Subinterfaces:
    EdmMetadataRequest, ODataDeleteRequest, ODataDeltaRequest, ODataEntityCreateRequest<E>, ODataEntityRequest<E>, ODataEntitySetIteratorRequest<ES,E>, ODataEntitySetRequest<ES>, ODataEntityUpdateRequest<E>, ODataInvokeRequest<T>, ODataMediaRequest, ODataPropertyRequest<T>, ODataPropertyUpdateRequest, ODataReferenceAddingRequest, ODataRetrieveRequest<T>, ODataServiceDocumentRequest, ODataValueRequest, ODataValueUpdateRequest, XMLMetadataRequest

      public interface ODataBasicRequest<T extends ODataResponse>
      extends ODataRequest

  Basic OData request.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Future<T>` | `asyncExecute()` Async request execute.
    `T` | `execute()` Request execute.
    `void` | `setFormat(ContentType contentType)` Override configured request Content-Type.

    - ### Methods inherited from interface org.apache.olingo.client.api.communication.request.ODataRequest

      `addCustomHeader, getAccept, getContentType, getHeader, getHeaderNames, getHttpRequest, getIfMatch, getIfNoneMatch, getMethod, getPrefer, getURI, rawExecute, setAccept, setContentType, setIfMatch, setIfNoneMatch, setPrefer, setURI, setXHTTPMethod, toByteArray`

- - ### Method Detail

    - #### execute

          T execute()

      Request execute.
      Returns:
        return an OData response.

    - #### asyncExecute

          Future<T> asyncExecute()

      Async request execute.
      Returns:
        `Future<ODataResponse>` about the executed request.

    - #### setFormat

          void setFormat(ContentType contentType)

      Override configured request Content-Type.
      Parameters:
        `contentType` - request Content-Type.

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.